Subject: change of coding system without inquiry

From: Norbert Eisinger <[email-masked]>
Date: Wed, 28 Oct 2009 00:03:53 +0100

When I edit a non-latin-1 character into a latin-1 file and then save it,
Emacs saves the file in UTF-8 without inquiry. It omits the dialogue that
would inform me about the offending character and would offer me to select
a coding system for saving.

Below is a description for Emacs 22.2 (Ubuntu). Other people could
reproduce the behavior in Emacs 22.1 (Ubuntu) and 23.1.

I do get the dialogue when I change the second Emacs invocation below to
~$ env LC_CTYPE=C /usr/bin/emacs -Q /tmp/l1

If suppression of the dialogue is intended and not a bug: is there
some variable with which I can specify that I want to get that
dialogue anyway?

Norbert Eisinger

=========================================================================

~$ /usr/bin/emacs -Q

,----[ C-h l ]
| <help-echo> <help-echo> ä ö ü <return> C-x <return> f i s o - l a t i n - 1 - u n i x <return> C-x C-s C-a C-k / t m p / l 1 <return> C-h l
`----

~$ file /tmp/l1
/tmp/l1: ISO-8859 text

~$ /usr/bin/emacs -Q /tmp/l1

,----[ C-h l ]
| <help-echo> M-> E u r o s i g n SPC € SPC i n s e r t e d <return> C-x C-s C-h l
`----

,----[ *Messages* ]
| ("/usr/bin/emacs" "-Q" "/tmp/l1")
| For information about GNU Emacs and the GNU system, type C-h C-a.
| Mark set
| Wrote /tmp/l1
`----

,----
| In GNU Emacs 22.2.1 (i486-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
|  of 2008-09-05 on vernadsky, modified by Ubuntu
| Windowing system distributor `The X.Org Foundation', version 11.0.10600000
| configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs22:/etc/emacs:/usr/local/share/emacs/22.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/22.2/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/22.2/leim' '--with-x=yes' '--with-x-toolkit=athena'
'--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed' 'CPPFLAGS=''
|
| Important settings:
|   value of $LC_ALL:
|   value of $LC_COLLATE: nil
|   value of $LC_CTYPE: de_DE.utf8
|   value of $LC_MESSAGES: nil
|   value of $LC_MONETARY: nil
|   value of $LC_NUMERIC: nil
|   value of $LC_TIME: de_DE.utf8
|   value of $LANG: en_US.UTF-8
|   locale-coding-system: utf-8
|   default-enable-multibyte-characters: t
|
| Major mode: Fundamental
|
| Minor modes in effect:
|   tooltip-mode: t
|   tool-bar-mode: t
|   mouse-wheel-mode: t
|   menu-bar-mode: t
|   file-name-shadow-mode: t
|   global-font-lock-mode: t
|   font-lock-mode: t
|   blink-cursor-mode: t
|   unify-8859-on-encoding-mode: t
|   utf-translate-cjk-mode: t
|   auto-compression-mode: t
|   line-number-mode: t
|   transient-mark-mode: identity
`----

~$ file /tmp/l1
/tmp/l1: UTF-8 Unicode text

=========================================================================